# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'jaspion/miya/version'

Gem::Specification.new do |spec|
  spec.name          = 'jaspion-miya'
  spec.version       = Jaspion::Miya::VERSION
  spec.authors       = ['rtoshiro']
  spec.email         = ['rtoshiro@printwtf.com']

  spec.summary       = 'Generic code generator'
  spec.description   = 'We have a lot of template codes available to easily generate some codes'
  spec.homepage      = 'http://www.printwtf.com'
  spec.license       = 'MIT'

  # Prevent pushing this gem to RubyGems.org by setting 'allowed_push_host', or
  # delete this section to allow pushing this gem to any host.
  if spec.respond_to?(:metadata)
    spec.metadata['allowed_push_host'] = 'https://rubygems.org'
  else
    raise 'RubyGems 2.0 or newer is required' \
    'to protect against public gem pushes.'
  end

  spec.bindir        = 'bin'
  spec.executables   = ['miya']
  spec.require_paths = ['lib']
  spec.files         = `git ls-files -z`.split("\x0").reject { |f|
    f.match(%r{^(test|spec|features)/})
  }
  spec.add_development_dependency 'bundler'
  spec.add_development_dependency 'rake'
  spec.add_development_dependency 'rspec'
  spec.add_development_dependency 'byebug'
  spec.add_development_dependency 'coveralls'

  spec.add_dependency 'erubis'
  spec.add_dependency 'nokogiri'

end
